import numpy
import math
import matplotlib.pyplot as plt

#----------Konstanter----------------------------------------------------------

SB    = 5.67*10**(-8) #Stefan-Boltzmanns konstant

#Konstanter Sola
T_s   = 5770          #Temperaturen til sola i Kelvin
r_s   = 696340000     #Radius Sola

#Konstanter jorda
a_js     = 1.49*10**11   #Avstand mellom jorda og sola
r_j      = 6371000       #Radius Jorda
albedo_j = 0.3           #Jordas anslåtte albedo
T_j      = 290.05        #Faktisk gjennomsnittstemperatur på jorda

#Konstanter Rigil Kentaurus
a_jrk = 4.125*10**16    #Avstand mellom jorda og Rigil Kentaurus
r_rk  = r_s             #Radius, ca lik størrelse som sola
T_rk  = 5790            #Temperatur [K]

#Konstanter månen
a_ms     = a_js             #Avstand mellom månen og sola (samme som jorda)
r_m      = 1737.4*10**3     #Radius månen
albedo_m = 0.14             #Albedo månen

#------------------------------------------------------------------------------

def EnkelModell(r_kilde, T_kilde, avstand):
    M_kilde       = SB*T_s**4
    M_d           = M_kilde*(r_s/a_js)**2
    T_kilde       = (M_d/(4*SB))**(0.25)
    return T_kilde, M_d

T,M = EnkelModell(r_s,T_s,a_js)
print('Innstrålingstetthet: ', M )
print('Overflatetemperatur: ', T -273.15, 'grader Celsius')